/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.form;

import java.io.Serializable;

/**
 * Simple class to hold test information
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class ListElementForm implements Serializable {

	private static final long serialVersionUID = 1L;

	int elementValue = 0;

	String elementText = new String();

	/**
	 * @param elementValue
	 * @param elementText
	 */
	public ListElementForm(int elementValue, String elementText) {
		super();
		this.elementValue = elementValue;
		this.elementText = elementText;
	}

	/**
	 * @return Returns the elementText.
	 */
	public String getElementText() {
		return elementText;
	}

	/**
	 * @param elementText
	 *            The elementText to set.
	 */
	public void setElementText(String elementText) {
		this.elementText = elementText;
	}

	/**
	 * @return Returns the elementValue.
	 */
	public int getElementValue() {
		return elementValue;
	}

	/**
	 * @param elementValue
	 *            The elementValue to set.
	 */
	public void setElementValue(int elementValue) {
		this.elementValue = elementValue;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return "ListElementForm(" + elementValue + "," + elementText + ")";
	}
}
