/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.study;

import java.io.Serializable;

/**
 * Store a specific word
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class Word implements Serializable {

	private static final long serialVersionUID = 1L;

	private String portugueseWord = new String();
	private String englishWord = new String();
	private int correct = 0;
	boolean learned = false;

	public String getPortugueseWord() {

		return portugueseWord;
	}

	public void setPortugueseWord(String portugueseWord) {

		this.portugueseWord = portugueseWord;
	}

	public String getEnglishWord() {

		return englishWord;
	}

	public void setEnglishWord(String englishWord) {

		this.englishWord = englishWord;
	}

	public int getCorrect() {

		return correct;
	}

	public void setCorrect(int correct) {

		this.correct = correct;
	}

	public boolean isLearned() {

		return learned;
	}

	public void setLearned(boolean learned) {

		this.learned = learned;
	}

}
