/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.timesheet;


/**
 * Store a period with a start and end.
 *  
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
class PeriodBean {

    public static final String START = "Start";
    public static final String END = "End";

    private String date = new String();
    private String start = new String();
    private String end = new String();
    private int duration = 0;
    private String comment = new String();

    /**
     * @return the date
     */
    public String getDate() {

        return date;
    }

    /**
     * @param date the date to set
     */
    public void setDate(String date) {

        this.date = date;
    }

    /**
     * @return the start
     */
    public String getStart() {

        return start;
    }

    /**
     * @param start the start to set
     */
    public void setStart(String start) {

        this.start = start;
    }

    /**
     * @return the end
     */
    public String getEnd() {

        return end;
    }

    /**
     * @param end the end to set
     */
    public void setEnd(String end) {

        this.end = end;
    }

    /**
     * @return the duration
     */
    public int getDuration() {

        return duration;
    }

    /**
     * @param duration the duration to set
     */
    public void setDuration(int duration) {

        this.duration = duration;
    }

    /**
     * @return the comment
     */
    public String getComment() {

        return comment;
    }

    /**
     * @param comment the comment to set
     */
    public void setComment(String comment) {

        this.comment = comment;
    }

}
