/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */package com.carlosbcruz.util;

 /**
  * Helper class to listen to user object events.
  * 
  * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
  */
public interface JTreeEventHelperListener {

	/**
	 * Inform that an event has occorred for the user object.
	 * @param object The user Object.
	 */
	public void eventOnUserObject(Object object);
	
}
